Send Message
curl --request POST \
--url https://api.joinsayless.com/api/v1/messages/send_message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"senderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"privateNote": true,
"content": "<string>",
"subject": "<string>",
"preview": "<string>",
"channel": {},
"contentAttributes": {},
"previousMessageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attachments": [
"<unknown>"
],
"mutationId": "<string>"
}
'import requests
url = "https://api.joinsayless.com/api/v1/messages/send_message"
payload = {
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"senderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"privateNote": True,
"content": "<string>",
"subject": "<string>",
"preview": "<string>",
"channel": {},
"contentAttributes": {},
"previousMessageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attachments": ["<unknown>"],
"mutationId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
conversationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
messageId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
senderId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
statusId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
privateNote: true,
content: '<string>',
subject: '<string>',
preview: '<string>',
channel: {},
contentAttributes: {},
previousMessageId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
attachments: ['<unknown>'],
mutationId: '<string>'
})
};
fetch('https://api.joinsayless.com/api/v1/messages/send_message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": "<unknown>",
"mutationId": "<string>",
"lastSyncId": 123,
"contentLastSyncId": 123,
"syncAckSource": "commit"
}{
"error": {
"type": "<string>",
"message": "<string>",
"userMessage": "<string>",
"fields": {}
},
"statusCode": 123,
"timestamp": "<string>",
"path": "<string>"
}Send Message
POST
/
api
/
v1
/
messages
/
send_message
Send Message
Authorizations
Personal API key (sl_api_…) or OAuth access token (sl_oat_…)
Headers
Optional. Safe retries for create/send: same key + route + workspace returns the cached success body for 24h. API/OAuth only.
Maximum string length:
256Body
application/json